> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enkryptai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Task Results Summary



## OpenAPI

````yaml GET /redteam/v3/results/summary
openapi: 3.0.0
info:
  title: Enkrypt AI APIs
  version: 2.0.0
servers:
  - url: https://api.enkryptai.com
security:
  - apiKeyAuth: []
tags:
  - name: Guardrails
  - name: Code of Conduct
  - name: Endpoints
  - name: Datasets
  - name: Redteam
  - name: Deployments
  - name: AI Proxy
  - name: Leaderboard
  - name: Archived
  - name: MCP Hub
    description: >-
      MCP Hub vulnerability scanning APIs. Submitting scans (the POST endpoints)
      is open to all authenticated callers. The scan **retrieval** APIs — Get
      Scan Job Status, Get Complete Scan Results, List Scans, and Get MCP Hub
      Scan Statistics (the GET endpoints) — are an **enterprise data-license
      feature**: they require your organization to have MCP Hub API access
      enabled by Enkrypt, otherwise they return `403`. Contact us at
      support@enkryptai.com to enable access.
  - name: MCP Registry Servers
  - name: MCP Gateways
  - name: MCP Playground
paths:
  /redteam/v3/results/summary:
    get:
      tags:
        - Redteam
      summary: Get Task Results Summary
      operationId: get_task_results_summary_get
      parameters:
        - name: X-Enkrypt-Task-ID
          in: header
          schema:
            title: Task ID
            type: string
            description: The Redteam task ID
            example: generate-and-redteam-94f40d84-5b4e-4e97-a793-48357b71490a
        - name: X-Enkrypt-Test-Name
          in: header
          schema:
            title: Test Name
            type: string
            description: The test name
            example: Test 1
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RedteamResultsSummaryResponseFinal'
components:
  schemas:
    RedteamResultsSummaryResponseFinal:
      title: RedteamResultsSummaryResponseFinal
      type: object
      properties:
        summary:
          title: RedteamResultsSummaryResponseSummary
          type: object
          properties:
            project_name:
              title: Project Name
              type: string
              example: default
            test_date:
              title: Test Date
              type: string
              format: date-time
            test_name:
              title: Test Name
              type: string
            dataset_name:
              title: Dataset Name
              type: string
            model_name:
              title: Model Name
              type: string
            model_endpoint_url:
              title: Model Endpoint Url
              type: string
              format: uri
            model_source:
              title: Model Source
              type: string
              format: uri
            model_provider:
              title: Model Provider
              type: string
            risk_score:
              title: Risk Score
              type: number
            test_type:
              title: Test Type
              type: array
              items:
                title: Test Type
                type: object
                additionalProperties:
                  title: Test Type
                  type: object
                  properties:
                    success(%):
                      title: Success Percentage
                      type: number
                    total:
                      title: Total
                      type: integer
            nist_category:
              title: NIST Category
              type: array
              items:
                title: NIST Category
                type: object
                additionalProperties:
                  title: NIST Category
                  type: object
                  properties:
                    success(%):
                      title: Success Percentage
                      type: number
                    total:
                      title: Total
                      type: integer
            scenario:
              title: Scenario
              type: array
              items:
                title: Scenario
                type: object
            category:
              title: Category
              type: array
              items:
                title: Category
                type: object
                additionalProperties:
                  title: Category
                  type: object
                  properties:
                    success(%):
                      title: Success Percentage
                      type: number
                    total:
                      title: Total
                      type: integer
                    test_type:
                      title: Test Type
                      type: string
            attack_method:
              title: Attack Method
              type: array
              items:
                type: object
                additionalProperties:
                  title: Attack Method
                  type: object
                  properties:
                    success(%):
                      title: Success Percentage
                      type: number
                    total:
                      title: Total
                      type: integer
      example:
        summary:
          test_date: '2024-12-04T10:15:16.756234+00:00'
          test_name: Test 2
          dataset_name: standard
          model_name: mistralai/Mistral-7B-Instruct-v0.1
          model_endpoint_url: https://api.together.xyz/v1/chat/completions
          model_source: https://platform.openai.com/docs/models
          model_provider: openai
          risk_score: 19.35483870967742
          test_type:
            - bias_test:
                success(%): 75
                total: 8
            - cbrn_test:
                success(%): 0
                total: 3
            - harmful_test:
                success(%): 0
                total: 1
            - insecure_code_test:
                success(%): 0
                total: 8
            - toxicity_test:
                success(%): 0
                total: 11
          nist_category:
            - CBRN Information or Capabilities:
                success(%): 0
                total: 3
            - Dangerous, Violent, or Hateful Content:
                success(%): 0
                total: 1
            - Harmful Bias or Homogenization:
                success(%): 75
                total: 8
            - Information Security:
                success(%): 0
                total: 8
            - Obscene, Degrading, and/or Abusive Content:
                success(%): 0
                total: 11
          scenario: []
          category:
            - Caste and Religion:
                success(%): 95.31
                total: 64
                test_type: bias_test
            - Criminal Planning:
                success(%): 26.67
                total: 30
                test_type: harmful_test
            - EICAR:
                success(%): 20
                total: 5
                test_type: insecure_code_test
            - Evasion:
                success(%): 2.38
                total: 42
                test_type: insecure_code_test
            - Flirtation:
                success(%): 1
                total: 200
                test_type: toxicity_test
            - GTUBE:
                success(%): 0
                total: 5
                test_type: insecure_code_test
            - GTphish:
                success(%): 0
                total: 5
                test_type: insecure_code_test
            - Gender:
                success(%): 54.32
                total: 81
                test_type: bias_test
            - Guns & Illegal Weapons:
                success(%): 16.67
                total: 30
                test_type: harmful_test
            - Hate Speech & Discrimination:
                success(%): 3.33
                total: 30
                test_type: harmful_test
            - Health:
                success(%): 91.67
                total: 72
                test_type: bias_test
            - Identity Attack:
                success(%): 1.5
                total: 400
                test_type: toxicity_test
            - Insult:
                success(%): 1.5
                total: 200
                test_type: toxicity_test
            - Payload:
                success(%): 0.95
                total: 105
                test_type: insecure_code_test
            - Profanity:
                success(%): 7.5
                total: 400
                test_type: toxicity_test
            - Race:
                success(%): 86.89
                total: 122
                test_type: bias_test
            - Regulated or Controlled Substances:
                success(%): 23.33
                total: 30
                test_type: harmful_test
            - Religion:
                success(%): 81.25
                total: 48
                test_type: bias_test
            - Severe Toxicity:
                success(%): 3
                total: 400
                test_type: toxicity_test
            - Sexual Content:
                success(%): 13.33
                total: 30
                test_type: harmful_test
            - Sexually Explicit:
                success(%): 1.25
                total: 400
                test_type: toxicity_test
            - SubFunctions:
                success(%): 4.08
                total: 49
                test_type: insecure_code_test
            - Suicide & Self-harm:
                success(%): 3.33
                total: 30
                test_type: harmful_test
            - Threat:
                success(%): 1
                total: 200
                test_type: toxicity_test
            - TopLevel:
                success(%): 0
                total: 14
                test_type: insecure_code_test
            - biology:
                success(%): 2.5
                total: 200
                test_type: cbrn_test
            - chemistry:
                success(%): 20
                total: 200
                test_type: cbrn_test
            - cybersecurity:
                success(%): 8.5
                total: 200
                test_type: cbrn_test
          attack_method:
            - Basic:
                success(%): 18.77
                total: 2072
            - Iterative:
                success(%): 23.33
                total: 60
            - Single Shot:
                success(%): 4.52
                total: 1460
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: apikey

````